import SwiftUI

struct GenerationDetailView: View {

    let section: SettingsSection

    @EnvironmentObject
    private var content: Content

    var body: some View {
        switch section {
        case .folders:
            PathSettingsView()
        case .navigationBar:
            NavigationBarSettingsView()
        case .postFeed:
            PostFeedSettingsView()
        case .pages:
            PageSettingsDetailView()
        case .tagOverview:
            TagOverviewDetailView()
        case .audioPlayer:
            AudioSettingsDetailView(audioPlayer: content.settings.audioPlayer)
        }
    }
}

#Preview {
    GenerationDetailView(section: .folders)
}
